RunReveal

A generic notification create endpoint that can be used for any notification type. If the notification requires other special settings or setup a separate endpoint should be used.

A generic notification create endpoint that can be used for any notification type. If the notification requires other special settings or setup a separate endpoint should be used.

POST
/notifications/create

Request Body

application/jsonRequired

channelstring

createdBystring

displayNamestring

idstring

namestring

settingsarray<integer>

templateNamestring

workspaceIDstring

curl -X POST "https://api.runreveal.com/notifications/create" \
  -H "Content-Type: application/json" \
  -d '{
    "channel": "string",
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "settings": [
      0
    ],
    "templateName": "string",
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "channel": "string",
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "settings": [
      0
    ],
    "templateName": "string",
    "workspaceID": "string"
  },
  "success": true
}

NotificationDelete operation

DELETE
/notifications/delete
curl -X DELETE "https://api.runreveal.com/notifications/delete?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "channel": "string",
      "createdBy": "string",
      "displayName": "string",
      "id": "string",
      "name": "string",
      "settings": [
        0
      ],
      "templateName": "string",
      "workspaceID": "string"
    }
  ],
  "success": true
}

NotificationList returns a paginated list of the workspace's notification channel configurations.

NotificationList returns a paginated list of the workspace's notification channel configurations.

GET
/notifications/list

Query Parameters

include_runreveal_investigationboolean

curl -X GET "https://api.runreveal.com/notifications/list?include_runreveal_investigation=true"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "channel": "string",
      "createdBy": "string",
      "displayName": "string",
      "id": "string",
      "name": "string",
      "settings": [
        0
      ],
      "templateName": "string",
      "workspaceID": "string"
    }
  ],
  "success": true
}

RunrevealInvestigationNotificationCreate operation

POST
/notifications/runreveal-investigation/create

Request Body

application/jsonRequired

channelstring

createdBystring

displayNamestring

idstring

namestring

settingsarray<integer>

templateNamestring

workspaceIDstring

curl -X POST "https://api.runreveal.com/notifications/runreveal-investigation/create" \
  -H "Content-Type: application/json" \
  -d '{
    "channel": "string",
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "settings": [
      0
    ],
    "templateName": "string",
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "channel": "string",
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "settings": [
      0
    ],
    "templateName": "string",
    "workspaceID": "string"
  },
  "success": true
}

RunrevealInvestigationNotificationUpdate operation

PUT
/notifications/runreveal-investigation/update

Request Body

application/jsonRequired

channelstring

createdBystring

displayNamestring

idstring

namestring

settingsarray<integer>

templateNamestring

workspaceIDstring

curl -X PUT "https://api.runreveal.com/notifications/runreveal-investigation/update" \
  -H "Content-Type: application/json" \
  -d '{
    "channel": "string",
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "settings": [
      0
    ],
    "templateName": "string",
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "channel": "string",
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "settings": [
      0
    ],
    "templateName": "string",
    "workspaceID": "string"
  },
  "success": true
}

NotificationSend sends a notification with the given data to one or more named channels, returning per-channel errors.

NotificationSend sends a notification with the given data to one or more named channels, returning per-channel errors.

POST
/notifications/send

Request Body

application/jsonRequired

dataobject

notificationNamesarray<string>

notificationTypestring

templateBodystring

templateNamestring

templateTitlestring

curl -X POST "https://api.runreveal.com/notifications/send" \
  -H "Content-Type: application/json" \
  -d '{
    "data": {
      "property1": {},
      "property2": {}
    },
    "notificationNames": [
      "string"
    ],
    "notificationType": "string",
    "templateBody": "string",
    "templateName": "string",
    "templateTitle": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "channelErrors": {
      "property1": "string",
      "property2": "string"
    }
  },
  "success": true
}

NotificationTest operation

POST
/notifications/test

Request Body

application/jsonRequired

channelstring

createdBystring

displayNamestring

idstring

namestring

settingsarray<integer>

templateNamestring

workspaceIDstring

curl -X POST "https://api.runreveal.com/notifications/test" \
  -H "Content-Type: application/json" \
  -d '{
    "channel": "string",
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "settings": [
      0
    ],
    "templateName": "string",
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {},
  "success": true
}

NotificationUpdate updates an existing notification channel, merging stored secrets with any provided in the request.

NotificationUpdate updates an existing notification channel, merging stored secrets with any provided in the request.

PUT
/notifications/update

Request Body

application/jsonRequired

channelstring

createdBystring

displayNamestring

idstring

namestring

settingsarray<integer>

templateNamestring

workspaceIDstring

curl -X PUT "https://api.runreveal.com/notifications/update" \
  -H "Content-Type: application/json" \
  -d '{
    "channel": "string",
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "settings": [
      0
    ],
    "templateName": "string",
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "channel": "string",
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "settings": [
      0
    ],
    "templateName": "string",
    "workspaceID": "string"
  },
  "success": true
}